#ifndef SERIAL_PINS_H
#define SERIAL_PINS_H
//-------------------------------------------------------------------------------
#include <xc.h>
//-----------------------------I/O Pins----------------------------------------------------
#define Rx          GPIO2			    // UART Recieve pin
#define Tx          GPIO0			    // UART Transmit pin
//-----------------------------Direction Regiters------------------------------------------
#define Rx_dir	    TRISIO2					        
#define Tx_dir	    TRISIO0
//-----------------------------------------------------------------------------------------
void PORTS_config(void)
{
  ANSEL  = 0x00;       // Set ports as digital I/O, not analog input
  ADCON0 = 0x00;	   // turn off the A/D Converter
  CMCON  = 0x07;	   // turn off the Comparator
  VRCON  = 0x00;	   // turn off the Voltage Reference
}
//-----------------------------------------------------------------------------------------
#endif